# CUpti_ActivityEventInstance Struct Reference
[CUPTI Activity API]

The activity record for a CUPTI event with instance information. More...

## Data Fields
uint32_t | correlationId
CUpti_EventDomainID | domain
CUpti_EventID | id
uint32_t | instance
CUpti_ActivityKind | kind
uint32_t | pad
uint64_t | value

## Detailed Description

This activity record represents the a CUPTI event value for a specific event domain instance (CUPTI_ACTIVITY_KIND_EVENT_INSTANCE). This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profile frameworks built on top of CUPTI that collect event data may choose to use this type to store the collected event data. This activity record should be used when event domain instance information needs to be associated with the event.

## Field Documentation

uint32_t CUpti_ActivityEventInstance::correlationId

The correlation ID of the event. Use of this ID is user-defined, but typically this ID value will equal the correlation ID of the kernel for which the event was gathered.

CUpti_EventDomainID CUpti_ActivityEventInstance::domain

The event domain ID.

CUpti_EventID CUpti_ActivityEventInstance::id

The event ID.

uint32_t CUpti_ActivityEventInstance::instance

The event domain instance.

CUpti_ActivityKind CUpti_ActivityEventInstance::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_EVENT_INSTANCE.

uint32_t CUpti_ActivityEventInstance::pad

Undefined. Reserved for internal use.

uint64_t CUpti_ActivityEventInstance::value

The event value.